AXEN(4)

NAME
axen - ASIX Electronics AX88178A, AX88179, AX88179A 10/100/Gigabit USB Ethernet device

SYNOPSIS
axen* at uhub? port ?
rgephy* at mii?
ukphy* at mii?

DESCRIPTION
The axen driver provides support for USB Ethernet adapters based on the ASIX Electronics AX88178A USB 2.0, and AX88179/AX88179A USB 3.0 chipsets including the following:

Buffalo LUA4-U3-AGT
D-Link DUB-1312
Kuroutoshikou GbE-USB3.0
Kuroutoshikou GbE-USB3.0S2
Logitec LAN-GTJU3
Logitec LAN-GTJU3H3
Shanghai Donya DN-84327
TP-Link UE300
TP-Link UE306

The axen driver supports the following media types:

autoselect
    Enable autoselection of the media type and options. This is the default. The user can manually override the autoselected mode by adding media options to the appropriate ifconfig.if(5) file.

10baseT
    Set 10Mbps operation.

100baseTX
    Set 100Mbps (Fast Ethernet) operation.

1000baseT
    Set 1000Mbps (Gigabit Ethernet) operation.

For more information on configuring this device, see ifconfig(8).

It provides IPv4, TCPv4, UDPv4, TCPv6, UDPv6 checksumming, and TSOv4 segmentation offloading on capable hardware. It also supports VLAN-sized frames. It does not presently support other advertised features of the AX88179A, such as jumbo frames and Energy-Efficient Ethernet.

DIAGNOSTICS
See usbnet(4) for diagnostics.

SEE ALSO
arp(4), mii(4), netintro(4), rgephy(4), ukphy(4), usb(4), usbnet(4), ifconfig.if(5), ifconfig(8)

HISTORY
The axen device driver first appeared in OpenBSD 5.4 and in NetBSD 7.0. AX88179A support first appeared in NetBSD 10.2.

AUTHORS
-nosplit The axen driver was written by Yojiro UO <yuo@nui.org> for OpenBSD and ported to NetBSD by NONAKA Kimihiro <nonaka@NetBSD.org>.